LibreOffice: Proofreader Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
List of all members
Proofreader Service Reference

provides a proofreader (often known as grammar checker) for text More...

`import <Proofreader.idl;`

Inheritance diagram for Proofreader:

## Additional Inherited Members
Public Member Functions inherited from XProofreader
boolean | isSpellChecker ()
| whether is the text checked by the spell checker
ProofreadingResult | doProofreading ([in] string aDocumentIdentifier, [in] string aText, [in] com::sun::star::lang::Locale aLocale, [in] long nStartOfSentencePosition, [in] long nSuggestedBehindEndOfSentencePosition, [in] sequence< com::sun::star::beans::PropertyValue > aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| start checking
void | ignoreRule ([in] string aRuleIdentifier, [in] com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| disables a specific rule for a given locale.
void | resetIgnoreRules ()
| sets all rules back to their default settings.
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides a proofreader (often known as grammar checker) for text

An implementation of this service will receive text and has to identify the sentence end and report all errors found.

An implementation of this service is not limited to grammar checking at all. It might also check style, used terms etc. Basically it can check every aspect of a single sentence. Since the text provided is always the complete paragraph it can also choose to analyze the context of the sentence currently required to be checked. However error reports need to be limited to the current sentence.

Since
  OOo 3.0.1

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/Proofreader.idl